ceph-mgr needs python-jinja2 for dashboard plugin

Bug #1752308 reported by Dr. Jens Harbott on 2018-02-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceph (Ubuntu)
High
Unassigned
Artful
High
Unassigned

Bug Description

[Impact]
ceph-mgr dashboard is not functional

[Test Case]
Deploy ceph cluster using Juju charms
juju ssh ceph-mon/0 "sudo ceph mgr module enable dashboard"
ceph-mgr daemon will log the error in "/var/log/ceph/ceph-mgr.hostname.log" from the original bug report and dashboard will not function.

[Regression Potential]
Minimal - addition of required dep for mgr dashboard module

[Original Bug Report]
Trying to enable the dashboard module in ceph-mrg according to this guide https://blog.widodh.nl/2017/06/using-the-new-dashboard-in-ceph-mgr/ I'm seeing an error in the ceph-mgr log during startup:

2018-02-28 11:27:54.507314 7fb635382680 0 ceph version 12.2.2 (cf0baeeeeba3b47f9427c6c97e2144b094b7e5ba) luminous (stable), process (unknown), pid 27970
2018-02-28 11:27:54.508791 7fb635382680 0 pidfile_write: ignore empty --pid-file
2018-02-28 11:27:54.514032 7fb635382680 1 mgr send_beacon standby
2018-02-28 11:27:54.526143 7fb62c6b4700 1 mgr init Loading python module 'dashboard'
2018-02-28 11:27:54.577279 7fb62c6b4700 -1 mgr load Module not found: 'dashboard'
2018-02-28 11:27:54.577289 7fb62c6b4700 -1 mgr load Traceback (most recent call last):
  File "/usr/lib/x86_64-linux-gnu/ceph/mgr/dashboard/__init__.py", line 2, in <module>
    from module import * # NOQA
  File "/usr/lib/x86_64-linux-gnu/ceph/mgr/dashboard/module.py", line 28, in <module>
    import jinja2
ImportError: No module named jinja2

Expected result (seen after installing python-jinja2 pkg):

2018-02-28 11:38:24.950585 7f8302522680 0 ceph version 12.2.2 (cf0baeeeeba3b47f9427c6c97e2144b094b7e5ba) luminous (stable), process (unknown), pid 31137
2018-02-28 11:38:24.952035 7f8302522680 0 pidfile_write: ignore empty --pid-file
2018-02-28 11:38:24.956888 7f8302522680 1 mgr send_beacon standby
2018-02-28 11:38:24.969668 7f82f9854700 1 mgr init Loading python module 'dashboard'
2018-02-28 11:38:25.066943 7f82f9854700 1 mgr init Loading python module 'restful'
2018-02-28 11:38:25.167533 7f82f9854700 1 mgr init Loading python module 'status'
2018-02-28 11:38:25.185504 7f82f9854700 1 mgr load Constructed class from module: dashboard

So that package should be added as dependency to ceph-mgr.

James Page (james-page) on 2018-03-19
Changed in ceph (Ubuntu):
status: New → Fix Committed
importance: Undecided → High
milestone: none → ubuntu-18.03
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceph - 12.2.4-0ubuntu1

---------------
ceph (12.2.4-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * New upstream point release (LP: #1750826, #1731819, #1718134).
  * d/ceph-osd.install: Add ceph-volume tools (LP: #1750376).
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat level to 10.
  * d/control: Switch to using python3-sphinx.
  * d/rules: Switch to using WITH_BOOST_CONTEXT for rgw beast frontend
    enablement.
  * d/rules,control: Switch to using vendored boost as 1.66 is required.
  * d/control: Add python-jinja2 to Depends of ceph-mgr (LP: #1752308).

  [ Tiago Stürmer Daitx ]
  * Update java source and target flags from 1.5 to 1.8. Allows it to run
    using OpenJDK 8 or earlier and to be build with OpenJDK 9, 10, and 11
    (LP: #1756854).

  [ James Page ]
  * d/ceph*.prerm: Drop, no longer needed as only use for removed upstart
    and init.d methods of managing ceph daemons (LP: #1754585).

 -- James Page <email address hidden> Tue, 20 Mar 2018 09:28:22 +0000

Changed in ceph (Ubuntu):
status: Fix Committed → Fix Released
James Page (james-page) on 2018-03-27
description: updated
James Page (james-page) on 2018-03-28
Changed in ceph (Ubuntu Artful):
status: New → Triaged
importance: Undecided → High

Hello Dr., or anyone else affected,

Accepted ceph into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ceph/12.2.4-0ubuntu0.17.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceph (Ubuntu Artful):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-artful
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers